Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class EnhancedThrowableRenderer

    java.lang.Object
      org.apache.log4j.EnhancedThrowableRenderer

All Implemented Interfaces:
  ThrowableRenderer

    public final class EnhancedThrowableRenderer

extends Object
implements ThrowableRenderer

Enhanced implementation of ThrowableRenderer. Uses Throwable.getStackTrace if running on JDK 1.4 or later and delegates to DefaultThrowableRenderer.render on earlier virtual machines.

Since:
  1.2.16

Constructor Summary
`EnhancedThrowableRenderer()` Construct new instance.

Method Summary
`String[]` | `doRender(Throwable throwable)` Render Throwable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnhancedThrowableRenderer

    public EnhancedThrowableRenderer()

  Construct new instance.

Method Detail

### doRender

    public String[] doRender(Throwable throwable)

  Render Throwable.

  Specified by:
    `doRender` in interface `ThrowableRenderer`
  Parameters:
    `throwable` - throwable, may not be null.
  Returns:
    String representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.